/**
 * 创建一个刷新页面，定时
 * fetch('/api/proxy/refresh?user=user&app=app'), 如果返回200，则刷新页面
 * @param user
 * @param app
 * @returns
 */
export const createRefreshHtml = (user: string, app: string) => {
  return `
    <!doctype html>
    <html lang="zh-CN" >
      <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>App: ${user}/${app}</title>
      </head>
      <body>
        <h1>App: ${user}/${app}</h1>
        <p>Loading...</p>
        <p>如果长时间没有加载出来，请手动 <a href="javascript:void(0)" onclick="window.location.reload()">刷新页面</a></p>
        <p>loadCount: <span id="loadCount">0</span></p>
        <script type="module">
          let count = 0;
          const refresh = () => {
            const origin = window.location.origin;
            const loadCount = document.getElementById('loadCount');
            count++;
            loadCount.innerHTML = count.toString();
            fetch(origin + '/api/proxy?user=${user}&app=${app}&path=app&key=status').then((res) => {
              if (res.status === 200) {
                window.location.reload();
              } else {
                setTimeout(refresh, 3000);
              }
            });
          };
          setTimeout(refresh, 2000);
        </script>
      </body>
    </html>
  `;
};
